/* BlinkenLib
 * version 0.5.3 date 2007-12-28
 * Copyright 2004-2007 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a blinkenarea.org project
 */

#ifndef INC_BlinkenColorizer
#define INC_BlinkenColorizer

// convert string to colorizing mode
// returns colorizing mode (>= 0) or -1 on error
int BlinkenColorizerStr2Mode( const char * str );

// convert colorizing mode to string
const char * BlinkenColorizerMode2Str( int mode );

// get color for colorizing
unsigned char BlinkenColorizerGetColor( int channels, int mode, int step, int y, int x, int c );

#endif //#ifndef INC_BlinkenColorizer

